Support » Plugin: Advanced Woo Search » Disable the need of exact match for second and third words

  • Resolved gabrielcupim

    (@gabrielcupim)


    Hi there!

    Tried solving this with the AND/OR logic in settings, but I couldn’t do it (I run the PRO version)

    Problem is, AWS is requiring a exact match on other words that aren’t the first.

    Example, site visitor searches for:
    “FIFA 20”, no results.
    “FIFA 2020”, show results (in this case, product is called FIFA 2020, but many customers refer to it as “FIFA 20” only)

    If I turn on OR. logic instead of AND, there would be too many wrong results including FIFA (FIFA 08, FIFA 09, FIFA 10 and a lot of other FIFA)

    What I would like is, to keep the AND. logic, so that the AWS needs to locate both words in the title in order to result it, BUT, that it would recognize fragments in second, third, fourth words etc.

    With that, searching “FIFA 20” will get me “FIFA 2020” results too, since it is part of it’s name.
    .
    .
    .
    .
    .
    Currently, it only results fragments of the first word.
    Example: Searching for “Unchar” gets a lot of “Uncharted” results.

    Searching for “Uncharted Lost Legac” finds me nothing (because third word in incomplete, it would be “Legacy”)

    Well, hope you can understand, sorry for the poor english (from Brazil here)
    oh, and just remember to hit enter while doing the searches (if you click the search button, you don’t get any AWS result at all, you get other simple search instead)

    Bye! And thanks in advance. Hope it helps other people too!

    The page I need help with: [log in to see the link]

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author ILLID

    (@mihail-barinov)

    Hello,

    Please tell me did you enable ‘Exact match’ search along with AND search logic?
    And also please tell me plugin version number that you are using.

    Regards

    Thank you so much ILLID.

    Can’t see any “Exact search” checkbox or option in the settings page.

    I’m using 1.35, seems to be the newest for PRO version.

    There is a update message to 1.78 firmware, but in the standard AWS version (deactivated at the time)

    • This reply was modified 1 month, 3 weeks ago by  gabrielcupim.
    Plugin Author ILLID

    (@mihail-barinov)

    Looks like you have old plugin version.
    Please email me to wpunitnet@gmail.com to get the latest one.

    Regards

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.